package de.ctdo.bunti.dmx;

public class DMXChannel {
	private int offset;
	private String name;
	private int value;

	public DMXChannel(int offset, String name) {
		this.name = name;
		this.offset = offset;
		this.value = 0;
	}

	public final int getValue() {
		return value;
	}

	public final void setValue(int value) {
		this.value = value;
	}

	public final int getOffset() {
		return offset;
	}

	public final void setOffset(int offset) {
		this.offset = offset;
	}

	public final String getName() {
		return name;
	}

	public final void setName(String name) {
		this.name = name;
	}

	@Override
	public final String toString() {
		return "DMXChannel " + getName() + "," + getOffset() + "," + getValue();
	}
	
}
